Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007138OCamllexing and parsingpublic2016-02-08 11:182018-05-11 22:33
Reportertrefis 
Assigned Tolpw25 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.07.0+dev/beta2/rc1/rc2 
Summary0007138: Warning 50 triggers on "empty" files
DescriptionIf a .mli file contains nothing but a doc comment, warning 50 will trigger as the comment is considered unattached.
Additional InformationAdding code after the comment makes the warning go away.

Adding only blank lines after the comment doesn't make the warning go away.

Adding two (or more) blank lines before the comment makes the warning go away.

Adding only one blank line before the comment doesn't make the warning go away.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0007701resolvedlpw25 Doc comment dropped from empty .mli file 

-  Notes
(0015330)
lpw25 (developer)
2016-02-09 09:55

I had a look at this but it is not an easy fix so it will have to wait for 4.04.

- Issue History
Date Modified Username Field Change
2016-02-08 11:18 trefis New Issue
2016-02-08 12:19 doligez Status new => acknowledged
2016-02-08 12:19 doligez Target Version => 4.03.1+dev
2016-02-08 12:19 doligez Status acknowledged => confirmed
2016-02-09 09:55 lpw25 Note Added: 0015330
2017-02-16 14:01 doligez Target Version 4.03.1+dev => undecided
2017-02-22 17:11 frisch Assigned To => lpw25
2017-02-22 17:11 frisch Status confirmed => assigned
2017-02-22 17:14 frisch Target Version undecided => later
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-02-24 11:23 doligez Category -OCaml general => lexing and parsing
2017-02-24 11:23 doligez Target Version later =>
2018-01-09 16:51 trefis Relationship added has duplicate 0007701
2018-05-11 22:33 gasche Status assigned => resolved
2018-05-11 22:33 gasche Fixed in Version => 4.07.0+dev/beta2/rc1/rc2
2018-05-11 22:33 gasche Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker